[PATCH v2 1/2] tests: files named '.*-invalid.xml' should fail validation

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



Currently, using an invalid XML in tests fails, because
the schema test expects all of them to be valid.

Treat files with -invalid.xml suffix as invalid and expect
them to fail validation.
---
 tests/schematestutils.sh | 12 ++++++++++++
 1 file changed, 12 insertions(+)

diff --git a/tests/schematestutils.sh b/tests/schematestutils.sh
index 4361221..e739b99 100644
--- a/tests/schematestutils.sh
+++ b/tests/schematestutils.sh
@@ -20,6 +20,18 @@ do
     result=`$cmd 2>&1`
     ret=$?
 
+    grep -- '-invalid.xml$' <<< "$xml" 2>&1 >/dev/null
+    invalid=$?
+
+    # per xmllint man page, the return codes for validation error
+    # are 3 and 4
+    if test $invalid -eq 0; then
+        if test $ret -eq 4 || test $ret -eq 3; then
+            ret=0
+        elif test $ret -eq 0; then
+            ret=3
+        fi
+    fi
     test_result $n $(basename $(dirname $xml))"/"$(basename $xml) $ret
     if test "$verbose" = "1" && test $ret != 0 ; then
         printf '%s\n' "$cmd" "$result"
-- 
1.8.1.5

--
libvir-list mailing list
libvir-list@xxxxxxxxxx
https://www.redhat.com/mailman/listinfo/libvir-list




[Index of Archives]     [Virt Tools]     [Libvirt Users]     [Lib OS Info]     [Fedora Users]     [Fedora Desktop]     [Fedora SELinux]     [Big List of Linux Books]     [Yosemite News]     [KDE Users]     [Fedora Tools]